declare const env: any;
/**
 * Allows Vitest to handle Angular test fixtures
 *
 * Vitest Snapshot guide ==> https://vitest.dev/guide/snapshot.html
 *
 * @returns customSnapshotSerializer for Angular Fixture Component
 */
declare const customSnapshotSerializer: () => {
    serialize: (val: any, config: any, indentation: any, depth: any, refs: any, printer: any) => string;
    test: (val: any) => boolean;
};
/**
 * Check if is an Angular fixture
 *
 * @param val Angular fixture
 * @returns boolean who check if is an angular fixture
 */
declare function isAngularFixture(val: any): boolean;
/**
 * Serialize Angular fixture for Vitest
 *
 * @param fixture Angular Fixture Component
 * @returns HTML Child Node
 */
declare function fixtureVitestSerializer(fixture: any): ChildNode;
