/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.dev/license
 */
import { AngularMemoryOutputFiles } from '../utils';
interface AngularMemoryPluginOptions {
    workspaceRoot?: string;
    angularVersion: number;
    outputFiles: AngularMemoryOutputFiles;
    external?: string[];
}
export declare function createAngularMemoryPlugin(options: AngularMemoryPluginOptions): Promise<{
    name: string;
    enforce: string;
    config(userConfig: any): void;
    resolveId(source: string, importer: string): Promise<string | undefined>;
    load(id: string): {
        code: string;
        map: string | undefined;
    } | undefined;
}>;
export {};
